rem set echo off
rem set termout off
create table opoo1b as select 1 id, 'A' code from dual
/
create procedure p1
is
  l_bericht varchar2(4);
  l_status integer;
begin
  dbms_application_info.set_module('p1','begin');
  dbms_alert.register('stopsignaal');
  update opoo1b set code = 'B' where id = 1;
  dbms_alert.waitone('stopsignaal',l_bericht,l_status,15*60);
  rollback;
  dbms_alert.remove('stopsignaal');
end;
/
create procedure p2
is
begin
  dbms_application_info.set_module('p2','begin');
  update opoo1b set code = 'C' where id = 1;
end;
/
show err
declare
  l_job_id binary_integer;
  i integer;
begin
  dbms_application_info.set_module('aanroepend blok','begin');
  dbms_job.submit(l_job_id,'p1;');
  commit;
  i := 0;
  while i = 0
  loop
    begin
      select total_time
        into i
        from dba_jobs
       where what = 'p1;'
      ;
      dbms_lock.sleep(2);
    exception
    when no_data_found
    then
      null;
    end;
    dbms_output.put_line(i);
  end loop;
  -- instead of: dbms_lock.sleep(5);
end;
/
select * from opoo1b
/
exec p2
select * from opoo1b
/
drop table opoo1b purge
/
drop procedure p1
/
drop procedure p2
/
set termout on
