set echo off
set termout off
create table opoo1c as select 1 id, 'A' code from dual
/
declare
  cursor c is select code from opoo1c where id = 1;
  l_code opoo1c.code%type := 'Z';
  l_gemiddeld_salaris number;
  l_bericht varchar2(4);
  l_status integer;
begin
  dbms_application_info.set_module('opoo1c','begin');
  while l_code != 'B'
  loop
    select avg(e1.sal+e2.sal+e3.sal)
      into l_gemiddeld_salaris
      from emp e1
         , emp e2
         , emp e3
    ;
    open c;
    fetch c into l_code;
    close c;
  end loop;
end;
/
drop table opoo1c purge
/
set termout on