select app_date
     , cnt
  from ( select kmd.app_date
              , count(kmd.countrycode) cnt
           from D krpgv
              , C krvd
              , B ruca
              , A kmd
          where krpgv.app_prod_group_code = 0
            and krvd.app_view_code = krpgv.app_view_code
            and krvd.countrycode = ruca.countrycode
            and ruca.user_id = 'DKSAMPAT'
            and kmd.countrycode = krvd.countrycode
            and kmd.app_id = 'ID'
          group by kmd.app_date
          order by cnt desc, kmd.app_date desc
       )
 where rownum < 2
/
