select k.id
     , f3.waarde f3_waarde
     , f12.waarde f12_waarde
     , f14.waarde f14_waarde
     , f16.waarde f16_waarde
     , f18.waarde f18_waarde
  from klanten k
     , klant_profielen f3
     , klant_profielen f12
     , klant_profielen f14
     , klant_profielen f16
     , klant_profielen f18
 where k.id = f3.klt_id (+)
   and k.id = f12.klt_id (+)
   and k.id = f14.klt_id (+)
   and k.id = f16.klt_id (+)
   and k.id = f18.klt_id (+)
   and f3.attribuut (+) = 'extra attribuut 3'
   and f12.attribuut (+) = 'extra attribuut 12'
   and f14.attribuut (+) = 'extra attribuut 14'
   and f16.attribuut (+) = 'extra attribuut 16'
   and f18.attribuut (+) = 'extra attribuut 18'
   and f3.einddatum (+) is null
   and f12.einddatum (+) is null
   and f14.einddatum (+) is null
   and f16.einddatum (+) is null
   and f18.einddatum (+) is null
   and not exists
       ( select 'recentere begindatum'
           from klant_profielen f3_2
          where f3_2.attribuut = f3.attribuut
            and f3_2.klt_id = f3.klt_id
            and f3_2.begindatum > f3.begindatum
       )
   and not exists
       ( select 'recentere begindatum'
           from klant_profielen f12_2
          where f12_2.attribuut = f12.attribuut
            and f12_2.klt_id = f12.klt_id
            and f12_2.begindatum > f12.begindatum
       )
   and not exists
       ( select 'recentere begindatum'
           from klant_profielen f14_2
          where f14_2.attribuut = f14.attribuut
            and f14_2.klt_id = f14.klt_id
            and f14_2.begindatum > f14.begindatum
       )
   and not exists
       ( select 'recentere begindatum'
           from klant_profielen f16_2
          where f16_2.attribuut = f16.attribuut
            and f16_2.klt_id = f16.klt_id
            and f16_2.begindatum > f16.begindatum
       )
   and not exists
       ( select 'recentere begindatum'
           from klant_profielen f18_2
          where f18_2.attribuut = f18.attribuut
            and f18_2.klt_id = f18.klt_id
            and f18_2.begindatum > f18.begindatum
       )
 order by k.id
/