set echo off
prompt Bezig met installeren van opoo6a ...
set termout off
set feedback off
create table klanten (id, naam)
as
 select level
      , 'Naam' || to_char(level)
   from dual
connect by level <= 10000
/
create table klant_profielen
(id,attribuut,klt_id,waarde,begindatum,einddatum)
as
 select level
      , 'extra attribuut ' || to_char(mod(level-1,20))
      , ceil(level/40)
      , to_char(trunc(dbms_random.value(1,11)))
      , case trunc(mod(level-1,40)/20)
        when 0 then date '2007-01-01'
        else date '2008-01-01'
        end
      , case trunc(mod(level-1,40)/20)
        when 0 then date '2008-01-01'
        end
   from dual
connect by level <= 400000
/
alter table klanten add constraint klt_pk primary key (id)
/
alter table klant_profielen add constraint kpl_pk primary key (id)
/
alter table klant_profielen add constraint kpl_uk1 unique (attribuut,klt_id,begindatum)
/
exec dbms_stats.gather_table_stats(user,'klanten',cascade=>true)
begin
  dbms_stats.gather_table_stats
  ( user
  , 'klant_profielen'
  , cascade=>true
  , method_opt=>'FOR ALL INDEXED COLUMNS'
  );
end;
/
set termout on
set feedback on
prompt Klaar!