set echo off
prompt Bezig met installeren van opoo6b ...
set termout off
set feedback off
create table d
as
 select case when level <= 204 then 0 else round(dbms_random.value(1,23)) end app_prod_group_code
      , case when level <= 159 then 'AV' || to_char(level) else 'AVX' end app_view_code
   from dual
connect by level <= 990
/
create table c
as
 select level id
      , 'AV' || to_char(trunc((level-1)/100)) app_view_code
      , 'COUNTRY' || to_char(trunc((level-1)/700)) countrycode
   from dual
connect by level <= 20181
/
alter table c add constraint pk_c primary key (id)
/
create index idx3_c on c(app_view_code,countrycode)
/
create table b
as
 select case mod(level,700) when 0 then 'DKSAMPAT' else 'USER' || to_char(mod(level,700)) end user_id
      , 'COUNTRY' || to_char(trunc((level-1)/700)) countrycode
      , lpad('*',100,'*') description
   from dual
connect by level <= 7000
/
alter table b add constraint pk_b primary key (user_id,countrycode)
/
create table a
as
 select level id
      , trunc(sysdate) + trunc(level/1000) app_date
      , 'COUNTRY' || to_char(trunc((level-1)/700)) countrycode
      , case when level <= 17575 then 'ID' else 'ANOTHER_ID' end app_id
      , lpad('*',100,'*') description
   from dual
connect by level <= 35150
/
alter table a add constraint pk_a primary key (id)
/
create index idx1_a on a (app_id,countrycode)
/
exec dbms_stats.gather_table_stats(user,'a',cascade=>true)
exec dbms_stats.gather_table_stats(user,'b',cascade=>true)
exec dbms_stats.gather_table_stats(user,'c',cascade=>true)
exec dbms_stats.gather_table_stats(user,'d',cascade=>true)
set termout on
set feedback on
prompt Klaar!