set echo off
prompt Bezig met installeren van opoo7 ...
set termout off
set feedback off
create table opoo7 (id, status, omschrijving)
as
 select level
      , trunc(ln(level)/ln(10))
      , 'omschrijving ' || to_char(level)
   from dual
connect by level <= 99999
/
alter table opoo7 add constraint opoo7_pk primary key (id)
/
create index opoo7_status_i on opoo7(status)
/
exec dbms_stats.gather_table_stats(user,'opoo7',cascade=>true)
set termout on
set feedback on
prompt Klaar!