set serveroutput on
set echo on
declare
  cursor c (b_deptno dept.deptno%type)
  is
  select /*+ expliciete cursor */
         avg(sal)
    from emp
   where deptno = b_deptno
  ;
  c_ref sys_refcursor;
  l_avg_sal number;
begin
  dbms_output.put_line('expliciete cursor');
  for i in 1 .. 3
  loop
    open c(10*i);
    fetch c into l_avg_sal;
    close c;
    dbms_output.put_line
    ( 'Gemiddeld salaris is van afdeling ' ||
      to_char(10*i) ||
      ' is: ' || to_char(l_avg_sal)
    );
  end loop
  ;
  dbms_output.put_line('impliciete cursor');
  for i in 1 .. 3
  loop
    select /*+ impliciete cursor */
           avg(sal)
      into l_avg_sal
      from emp
     where deptno = 10*i
    ;
    dbms_output.put_line
    ( 'Gemiddeld salaris is van afdeling ' ||
      to_char(10*i) ||
      ' is: ' || to_char(l_avg_sal)
    );
  end loop
  ;
  dbms_output.put_line('refcursor zonder using');
  for i in 1 .. 3
  loop
    open c_ref for
      'select /* refcursor zonder using */
              avg(sal)
         from emp
        where deptno = ' || to_char(10*i)
    ;
    fetch c_ref into l_avg_sal;
    close c_ref; 
    dbms_output.put_line
    ( 'Gemiddeld salaris is van afdeling ' ||
      to_char(10*i) ||
      ' is: ' || to_char(l_avg_sal)
    );
  end loop
  ;
  dbms_output.put_line('refcursor met using');
  for i in 1 .. 3
  loop
    open c_ref for
      'select /* refcursor met using, speciaal voor Rik :-) */
              avg(sal)
         from emp
        where deptno = :1' using to_char(10*i)
    ;
    fetch c_ref into l_avg_sal;
    close c_ref; 
    dbms_output.put_line
    ( 'Gemiddeld salaris is van afdeling ' ||
      to_char(10*i) ||
      ' is: ' || to_char(l_avg_sal)
    );
  end loop
  ;
end;
/
set echo off